package com.mortals.xhx.module.perform.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformRulesCategoryVo;
import lombok.Data;
/**
* 绩效规则分类信息实体对象
*
* @author zxfei
* @date 2023-05-16
*/
@Data
public class PerformRulesCategoryEntity extends PerformRulesCategoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则简称
    */
    private String ruleBrief;
    /**
    * 分类名称
    */
    private String name;
    /**
    * 规则类型(1.考勤绩效,2.评价绩效指标,3.办件绩效指标,4.效能绩效指标,5.其它绩效指标)
    */
    private Integer type;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformRulesCategoryEntity) {
            PerformRulesCategoryEntity tmp = (PerformRulesCategoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.ruleId = -1L;

            this.ruleBrief = "";

            this.name = "";

            this.type = 1;

            this.remark = "";
    }
}